> ## Documentation Index
> Fetch the complete documentation index at: https://docs.postova.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# List the accessible profiles



## OpenAPI

````yaml /docs/openapi.json get /api/v1/profiles
openapi: 3.1.0
info:
  title: Postova API
  version: 1.0.0
servers:
  - url: https://api.postova.cc
security: []
paths:
  /api/v1/profiles:
    get:
      tags:
        - Profiles
      summary: List the accessible profiles
      operationId: listProfiles
      parameters:
        - schema:
            type: string
            description: >-
              Active profile; defaults to the first active profile of the
              workspace.
          required: false
          name: x-postova-profile
          in: header
      responses:
        '200':
          description: Profiles of the workspace (or the API key profile).
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Profile'
                required:
                  - data
        '401':
          description: No valid session (AUTHENTICATION_REQUIRED).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: The profile is not accessible (PROFILE_ACCESS_DENIED).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '422':
          description: Invalid request (VALIDATION_ERROR), with one detail per field.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Unexpected error (INTERNAL_SERVER_ERROR).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - sessionCookie: []
components:
  schemas:
    Profile:
      type: object
      properties:
        id:
          type: string
          example: prf_01JD3K5Q8Z6X9V2M4N7P1R3T5W
        name:
          type: string
        color:
          type:
            - string
            - 'null'
        timezone:
          type: string
          description: IANA timezone
          example: Europe/Paris
        locale:
          type: string
          enum:
            - fr
            - en
        status:
          type: string
          enum:
            - ACTIVE
            - ARCHIVED
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - name
        - color
        - timezone
        - locale
        - status
        - createdAt
        - updatedAt
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              enum:
                - AUTHENTICATION_REQUIRED
                - INVALID_API_KEY
                - INSUFFICIENT_SCOPE
                - PROFILE_ACCESS_DENIED
                - RESOURCE_NOT_FOUND
                - VALIDATION_ERROR
                - IDEMPOTENCY_CONFLICT
                - RATE_LIMITED
                - CONNECTION_REAUTH_REQUIRED
                - PROVIDER_PERMISSION_MISSING
                - MEDIA_NOT_READY
                - PROVIDER_RATE_LIMITED
                - PROVIDER_TEMPORARY_ERROR
                - GENERATION_FAILED
                - WEBHOOK_DELIVERY_FAILED
                - LENGTH_REQUIRED
                - PAYLOAD_TOO_LARGE
                - INTERNAL_SERVER_ERROR
            message:
              type: string
            requestId:
              type: string
              example: req_01JD3K5Q8Z6X9V2M4N7P1R3T5W
            details:
              type: array
              items:
                type: object
                properties:
                  field:
                    type: string
                  reason:
                    type: string
                required:
                  - field
                  - reason
            retryable:
              type: boolean
          required:
            - code
            - message
            - requestId
            - retryable
      required:
        - error
  securitySchemes:
    sessionCookie:
      type: apiKey
      in: cookie
      name: postova.session_token
      description: Dashboard session, set by the magic link sign-in.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.